| Home | Libraries | People | FAQ | More

### const_buffer

Holds a buffer that cannot be modified.

    class const_buffer

##### Member Functions

Name | Description
--- | ---
const_buffer | Construct an empty buffer.

##### Friends

Name | Description
--- | ---
buffer_cast_helper |
buffer_size_helper |

The const_buffer class provides a safe representation of a buffer that cannot be modified. It does not own the underlying data, and so is cheap to copy or assign.